# Class BasicBorders.SplitPaneBorder

java.lang.Object
javax.swing.plaf.basic.BasicBorders.SplitPaneBorder

All Implemented Interfaces:
  `Border, UIResource`

Enclosing class:
  `BasicBorders`

public static class BasicBorders.SplitPaneBorder extends Object implements Border, UIResource
Draws the border around the splitpane. To work correctly you should also install a border on the divider (property SplitPaneDivider.border).

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected Color`
  `highlight`
  The color of highlight
  `protected Color`
  `shadow`
  The color of shadow

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SplitPaneBorder(Color highlight, Color shadow)`
  Constructs a new instance of a `SplitPaneBorder`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Insets`
  `getBorderInsets(Component c)`
  Returns the insets of the border.
  `boolean`
  `isBorderOpaque()`
  Returns whether or not the border is opaque.
  `void`
  `paintBorder(Component c, Graphics g, int x, int y, int width, int height)`
  Paints the border for the specified component with the specified position and size.

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `int`
  `hashCode()`
  Returns a hash code value for this object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `String`
  `toString()`
  Returns a string representation of the object.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Field Details

  - ### highlight

    protected Color highlight
    The color of highlight

  - ### shadow

    protected Color shadow
    The color of shadow

- ## Constructor Details

  - ### SplitPaneBorder

    public SplitPaneBorder(Color highlight, Color shadow)
    Constructs a new instance of a `SplitPaneBorder`.
    Parameters:
      `highlight` - a color of highlight
      `shadow` - a color of shadow

- ## Method Details

  - ### paintBorder

    public void paintBorder(Component c, Graphics g, int x, int y, int width, int height)
    Description copied from interface: `Border`
    Paints the border for the specified component with the specified position and size.
    Specified by:
      `paintBorder` in interface `Border`
    Parameters:
      `c` - the component for which this border is being painted
      `g` - the paint graphics
      `x` - the x position of the painted border
      `y` - the y position of the painted border
      `width` - the width of the painted border
      `height` - the height of the painted border

  - ### getBorderInsets

    public Insets getBorderInsets(Component c)
    Description copied from interface: `Border`
    Returns the insets of the border.
    Specified by:
      `getBorderInsets` in interface `Border`
    Parameters:
      `c` - the component for which this border insets value applies
    Returns:
      an `Insets` object containing the insets from top, left, bottom and right of this `Border`

  - ### isBorderOpaque

    public boolean isBorderOpaque()
    Description copied from interface: `Border`
    Returns whether or not the border is opaque. If the border is opaque, it is responsible for filling in it's own background when painting.
    Specified by:
      `isBorderOpaque` in interface `Border`
    Returns:
      true if this `Border` is opaque